/* COMMON */
:root {
/*--bs-white: #fff; * Из шаблона */
  --bs-terra: #b21005;
  --bs-scarlet: #e31507;
  --bs-brik: #ec3e23;
  --bs-azure: #3192c3;
  --bs-floox-navy: #263b52;
  --bs-floox-gray: #efefef;
  --font-weight-norm: 400;
  --font-weight-medium: 500;
  --font-weight-semi: 600;
  --font-weight-bold: 700;
  --font-size-semi: 15px;
  --font-size-small: 14px;
  --font-size-09: 0.9rem;
  --font-size-08: 0.8rem;
  --bs-body-line-height: 26px;
  --line-height-semi: 24px;
  --line-height-smaller: 22px;
  --line-height-smallest: 19px;
}

@media (min-width: 992px) {.col-lg-8 {width: 70% !important;} .col-lg-4 {width: 30%;}}

body {
  color: var(--bs-body-color);
  line-height: var(--bs-body-line-height); /* Переопределено в :root */
}

/* h1 */
.blog h1 {font-weight: var(--font-weight-medium); margin-bottom: 50px;} /* Блог категории */
.blog h1 {margin-bottom: 40px;} /* Блог категории = Отсуп h1 материала + 10px */
.entry-header h1 {text-align: left !important; font-weight: var(--font-weight-medium);} /* Материал */
article.item-page .entry-header-wrap {margin-bottom: 30px;} /* Материал - Отступ после h1 и информации о материале */

/* h2 */
h2 {font-weight: var(--font-weight-medium) !important; margin-bottom: 20px;}

/* h3 */
/* @media (min-width: 1200px) /* Пропускаем пока */
.h3, h3 {font-size: 1.5rem;}

/* p */
article.item p {margin-bottom: 20px;} /* Отступ после абзаца - ПРОВЕРИТЬ ВЕЗДЕ! */

/* TOP */
/* id задается в коде html-модуля joomla */
/* Решение проблемы пестрого фона */
#tm-top, #tm-top a {color: var(--bs-light);} /* --bs-dark * Цвет шрифта - белый */
#tm-top a, #tm-top a:hover, #tm-top a:focus, #tm-top a:active {font-weight: var(--font-weight-semi) !important;} /* 400 * Ссылки более жирные */
#tm-top a:hover {color: var(--bs-scarlet);} /* Выделенные ссылки более яркие */
#tm-top a:focus, #tm-top a:active {color: var(--bs-red);} /* Активные ссылки более яркие */
@media screen and (max-width: 400px) {#tm-top {font-size: 0.9rem;}} /* Уменьшение номера телефона на мобильных устройствах */

/* MAIN-MENU */
.sp-megamenu-parent {float: left;} /* right * Выравнивание по левому краю */

/* Решение проблемы неправильного расположения выпадающего главного меню */
.sp-megamenu-parent .sp-dropdown.sp-dropdown-main.sp-menu-right {width: 280px !important;} /* 240 * В параметрах шаблона менять нелзя! */

/* Улучшение читаемости шрифта главного меню */
.sp-megamenu-parent > li > a, .sp-megamenu-parent > li > span {font-weight: var(--font-weight-semi) !important;} /* Увеличивать шрифт нельзя, рвется строка на малых экранах */
.sp-megamenu-parent .sp-dropdown li.sp-menu-item > a, .sp-megamenu-parent .sp-dropdown li.sp-menu-item span {
  color: var(--bs-dark);
  font-weight: var(--font-weight-medium) !important; /* font-weight: var(--font-weight-semi) !important; */
  font-size: 15px;
}

/* OFFCANVAS */
.offcanvas-menu .offcanvas-inner .sp-module ul > li.active > a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li:hover > a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li:focus > a {
  color: var(--bs-scarlet);
  font-weight: var(--font-weight-semi);
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li.active > a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li:hover > a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li:focus > a {
  color: var(--bs-scarlet);
  font-weight: var(--font-weight-semi);
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li > a:hover,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li > a:focus {
  color: var(--bs-scarlet);
  font-weight: var(--font-weight-semi);
}

/* BREADCRUMB */
.breadcrumb {margin-top: 20px;}

/* HOME */
.tm-home-title {font-size: 5.6rem; font-weight: 600 !important;} /* Увеличение названия компании на первом слайде, ~80px */
@media screen and (max-width: 479px) {.tm-home-title {font-size: 2.4rem;}} /* Уменьшение названия компании на мобильных устройствах */
@media screen and (min-width: 480px) and (max-width: 599px) {.tm-home-title {font-size: 3.0rem;}}
@media screen and (min-width: 600px) and (max-width: 1199px) {.tm-home-title {font-size: 4.0rem;}}

.tm-home-product10 .nav, .tm-home-expert .nav {display: block; column-count: 3;} /* Продукция до 10 кВ и Мнения экспертов - горизонтальное меню в 3 колонки */
@media screen and (min-width: 1000px) and (max-width: 1199px) {.tm-home-product10 .nav, .tm-home-expert .nav {display: block; column-count: 3;}}
@media screen and (min-width: 600px) and (max-width: 999px) {.tm-home-product10 .nav, .tm-home-expert .nav {display: block; column-count: 2;}}
@media screen and (max-width: 599px) {.tm-home-product10 .nav, .tm-home-expert .nav {display: block; column-count: 1;}}

.tm-home-product .nav {display: block; column-count: 1;} /* Продукция от 15 кВ - все меню в 1 колонку */

.tm-home-feature img {height: 100px !important; margin-bottom: 20px;} /* Увеличиваем иконки модуля Преимущества */
.floox-home-cta {background: var(--bs-scarlet);} /* Цвет модуля CallTo */

/* PAGE */
.tm-page-title {font-size: 4.2rem; font-weight: 600 !important;} /* Увеличение названия компании на слайдере */
@media screen and (max-width: 479px) {.tm-page-title {font-size: 2.4rem;}} /* Уменьшение названия компании на мобильных устройствах */
@media screen and (min-width: 480px) and (max-width: 599px) {.tm-page-title {font-size: 3.6rem;}}
.tm-page-subtitle {font-size: 3.0rem; font-weight: 400 !important;}
@media screen and (max-width: 479px) {.tm-page-subtitle {font-size: 2.0rem;}}

/* TOP-BODY */

/* MAIN-BODY */
#sp-main-body {padding-top: 40px}
.view-article #sp-main-body {padding-top: 40px} /* Нельзя использовать общее правило и !important, так как влияет на TOP */

/* SIDEBAR */
/* Более компактное меню воизбежание переносов */
#sp-right .sp-module .sp-module-title {padding-left: 40px; padding-right: 20px; font-weight: var(--font-weight-semi) !important;}
#sp-right .sp-module .sp-module-title:before {left: 15px;}
#sp-right .sp-module .sp-module-title:after {left: 14px;}
#sp-right .sp-module ul li {padding-left: 40px; padding-right: 20px}
#sp-right .sp-module {font-size: var(--font-size-semi);}
.tmt-sidebar-menu-strong {font-weight: var(--font-weight-semi) !important;}

/* sidebar-light */
#sp-right .sp-module {box-shadow: 0px 0px 8px 1px #0000002c;}
#sp-right .sp-module ul > li {width: 100%;}
#sp-right .sp-module ul > li > a {color: var(--bs-gray-700);}
#sp-right .sp-module ul > li > a:hover {color: var(--bs-scarlet);}
#sp-right .sp-module ul > li > a:focus, #sp-right .sp-module ul > li > a:active {color: var(--bs-red);}

/* sidebar-gray */
.sidebar-gray {background-color: var(--bs-gray-100); border: 1px solid var(--bs-gray-200) !important;}
.sidebar-gray .sp-module-title {border-color: var(--bs-gray-200) !important;}
.sidebar-gray .sp-module-title:after {border-bottom: 7px solid var(--bs-gray-100) !important;}
.sidebar-gray ul li {border-color: var(--bs-gray-200) !important;}

/* sidebar-color */
.sidebar-color {background-color: var(--bs-azure); border: 1px solid var(--bs-gray-500) !important;}
.sidebar-color .sp-module-title {color: var(--bs-white) !important; border-color: var(--bs-gray-500) !important;}
.sidebar-color .sp-module-title:after {border-bottom: 7px solid var(--bs-azure) !important;}
.sidebar-color ul li {border-color: var(--bs-gray-500) !important;}
.sidebar-color p {color: var(--bs-white) !important;} /* Цвет текста */
.sidebar-color a {color: var(--bs-gray-200) !important;} /* Цвет ссылок */
.sidebar-color a:hover {color: var(--bs-terra) !important;}
/* Новый вариант */
.sidebar-color ul > li {padding-left: 15px !important;}
.sidebar-color img {float: left; height: 16px; width: 15px; margin: 0px 10px 0px 0px;}
.sidebar-color:after {content: "Последнее обновление - 01.06.2025"; margin-left: 35px; font-size: 13px; font-weight: 300; color: var(--bs-gray-400);}

/* BLOG */
/* Описание категории */
.category-desc img {margin-bottom: 1.5rem} /* Отступ после изображения категории ~30px; */
.category-desc {padding-bottom: 2.5rem} /* Увеличение отступа после описания категории ~35px; */

/* Восстановление изображений материалов */
article.item .entry-image.intro-image {display: contents;}
article.item .entry-image.intro-image img {width: 100%;}

/* Исправление цвета градиента */
article.item .article-info-wrap .article-info-bg {height: 100%; width: 100%; transition: 0.4s; transform: scale(0.98);}
article.item .article-info-wrap .article-info-bg:before {background-image: linear-gradient(#2592c1, #2592c1);}

/* Изменение рамок вокруг аннотаций */
.view-category .items-row > div:first-child .article-info-wrap {border-left: 1px solid #e1e8ee;} /* Восстановление рамки слева */
/* Рамка снизу */
article.item .article-info-wrap:before {display: none;}
/* Оригинал */
/*article.item .article-info-wrap:before {
  content: "";
  position: absolute;
  left: 15px;
  top: auto;
  bottom: -15px;
  height: 1px;
  right: -15px;
  background: #e1e8ee;
}*/

/* ARTICLE */
/* Исправление ошибки левой колонки */
@media (min-width: 576px) {.col-sm-3 {display: none !important;}} /* Левую колонку не показывать */
/*.view-article #sp-component {width: 66.66666667%;} /* Ширина основной колонки */
@media (min-width: 576px) {.col-sm-9 {width: 100%;}} /* Ширина содержимого главной колонки */
.view-article #sp-right {display: block;} /* Показать правое меню */

/* Восстановление изображений материалов */
article.item-page .entry-image {display: block; float: none !important;} /* Вводное изображение */

/* Заголовки */
dl.article-info {display: none;} /* Не показываем информацию перед заголовком */

/* Новости и акции */
.view-article .entry-header > .article-info {justify-content: left;} /* Расположение информации о материале */

/* CALLBACK */
#mod-custom118 {
  border-radius: 4px;
  box-shadow: 0px 0px 8px 1px #0000002c;
  padding: 30px;
  color: var(--bs-white);
  background-color: #d42c2c;
  margin-bottom: 30px;
  h3 {
    text-transform: uppercase;
    color: var(--bs-yellow);
  }
  a {color: var(--bs-white);}
  a:hover {color: var(--bs-gray-400);}
  .tm-callback {color: var(--bs-yellow);}
  .readmore {
    border-radius: 0.25rem;
    background-color: var(--bs-floox-navy) !important;
    padding: 10px 20px 10px 20px;
    display: inline-block;
  }
}

/* BOTTOM-BODY */
#sp-bottom1 {margin-top: 40px;} /* As in floox sample */

/* Случайная статья */
.mod-articlesnews.newsflash {color: var(--bs-gray-400); font-size: var(--font-size-small); line-height: var(--line-height-smaller);} /*  */

/* Анонсы */
#mod-custom123 a {color: var(--bs-light); font-weight: var(--font-weight-semi) !important;} /* Цвет ссылок */
#mod-custom123 a:hover {color: var(--bs-scarlet); font-weight:  var(--font-weight-semi) !important;} /* Цвет ссылок */
#mod-custom123 {color: var(--bs-gray-400); font-size: var(--font-size-small); line-height: var(--line-height-smaller);} /*  */

/* Документы */
/* #sp-bottom2 ul > li > a {color: var(--bs-gray-400) !important;} /* Не меняем - слишком однородно */

/* Контакты */
#mod-custom122 {color: var(--bs-gray-400) !important; line-height: var(--line-height-smallest);}
#mod-custom122 a {color: var(--bs-gray-400);} /* Цвет ссылок */
#mod-custom122 a:hover {color: var(--bs-scarlet);} /* Цвет ссылок */

/* FOOTER */
#sp-footer {background-color: var(--bs-floox-gray) !important;}
#sp-footer1, #sp-footer2 {margin-bottom: 0; font-size: var(--font-size-small); line-height: normal;} /* font-weight: var(--font-weight-norm) !important; */
#sp-footer1 p {color: var(--bs-floox-navy) !important;} /* Регионы */
#sp-footer2 p {color: var(--bs-floox-navy) !important; font-size: medium !important;}  /* Copiright */

/* TABLE */
.tm-table {overflow-x: auto;}
table {
  border: 1px solid #eee;
  width: 100%;
  margin-bottom: 20px;
  font-size: var(--font-size-09);
}
table tbody tr:nth-child(even) {background: var(--bs-white);}
table tbody tr:nth-child(odd) {background: #f7f7f7;}
table tbody tr:hover {background: #ebf2fa;}
table th {
  font-weight: bold;
  padding: 10px;
  /*background: #efefef;*/
  color: var(--bs-light);
  background: var(--bs-azure);
  border: 1px solid #dddddd;
}
table td {
  padding: 10px;
  border: 1px solid #eee;
  text-align: left;
}

/* GRID TEXT*/
/* Текстовая сетка - замена таблице*/
/* Используется в описании катеогрии */
.tm-row-txt {
  background: #f7f7f7;
  margin: 0px;
  padding: 20px;
  font-size: var(--font-size-09);
}
.tm-row-txt:hover {
  background: #ebf2fa;
}

/* IMAGE */
/* Бокс по размеру изображения для ограничения подписи к рисунку */
.tm-box-img {
  display: inline-block;
  max-width: 480px;
  margin-bottom: 20px;
}
/* Подпись к рисунку */
.tm-caption-img {
  font-size: var(--font-size-09);
  font-weight: var(--font-weight-semi);
  line-height: var(--line-height-smaller);
  margin-top: 10px;
  /* margin-bottom: 20px; * Отступ делаем с помощью tm-box-img */
}
/* Отдельное изображение по умолчанию (по левому краю) */
/* <p><img></p>
/* Отдельное изображение по центру */
.tm-center {
  width: auto;
  text-align: center;
  /* margin-bottom: * Отступ делаем с помощью tm-box-img */
}
.tm-center img {
  display: inline-block;
}
/* Отдельное изображение с автоматическим выравниванием */
.tm-auto {
  width: auto;
  text-align: left; /* Задать автовыравнивание: left, center, right */
}
.tm-auto img {
  display: inline-block;
}
/* Плавающее изображение по левому краю */
.tm-float-left {
  float: left;
  text-align: center;
  margin-right: 20px;
  @media (max-width: 779px) {
    float: none;
    margin-right: 0px;
  }
} 
/* Плавающее изображение по правому краю */
.tm-float-right {
  float: right;
  margin-left: 20px;
  @media (max-width: 779px) {
    float: none;
    margin-left: 0px;
  }
} 
/* Галерея изображений в несколько строк */
/* Строки разделять вручную, чтобы формировались отступы между строками */
.tm-row-img {
  margin-bottom: 20px;
}

/* ANONSY */
/* Класс назначается в пункте меню 'Скрытое/Анонсы' */
.blog-tm-anonsy article.item { margin-bottom: 10px; }
.blog-tm-anonsy .article-info-wrap {padding: 5px 0px 3px 20px !important; border-left: 0px !important;}
.blog-tm-anonsy .entry-header {margin-bottom: 0px !important;}
.blog-tm-anonsy h2 {font-size: 20px; margin-top: 0px !important;}

/* НЕОБРАБОТАННЫЕ ЦВЕТА
#eee - border
#dddddd - border
#e1e8ee - border
#0000002c - shadow
#2592c1 - linear-gradient
#d42c2c - background
#ebf2fa - background
#f7f7f7 - background
*/  

/* HOME menu nav */
.tm-home-product10 .nav {
  column-gap: 30px;
}   
.tm-home-product10 li {
  display: inline-block;
  width: 100%;
  padding: 10px 20px;
  margin: 10px 20px 10px 0px;
  background-color: #efefef;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}   

/* POPUP */
